//----------------------------------------------------------------------------
//  Description:  This file contains definitions specific to the LMP91050.
//  All the LMP91050 registers are defined as well as some register bit locations
//  and common masks for these registers.
//
//  MSP430/LMP91050 Interface Code Library v1.0
//
//   Vishy Natarajan
//   Texas Instruments Inc.
//   April 2012
//   Built with CCE Version: 4.2 and IAR Embedded Workbench Version:  5.3x
//------------------------------------------------------------------------------
// Change Log:
//------------------------------------------------------------------------------
// Version:  1.00
// Comments: Initial Release Version
//------------------------------------------------------------------------------
#ifndef HEADER_FILE_TI_LMP91050_H

#define HEADER_FILE_TI_LMP91050_H

/************************************************************
* TI LMP91050 REGISTER SET ADDRESSES
************************************************************/

#define TI_LMP91050_DEV_CONFIG_REG                     (0x00)                  // Device Configuration
#define TI_LMP91050_DAC_CONFIG_REG                     (0x01)                  // DAC Configuration 
#define TI_LMP91050_SDIO_MODE_ENABLE_REG               (0x0F)                  // SDIO Mode Enable 

// Useful definitions
#define LMP91050_RW_BIT                                (0x80)                  // Read Write Bit
#define LMP91050_SDIO_SEQ_BYTE1                        (0xFE)                  // Byte1 to write to enter SDIO Mode
#define LMP91050_SDIO_SEQ_BYTE2                        (0xED)                  // Byte2 to write to enter SDIO Mode

#endif                                                                         // HEADER_FILE_TI_LMP91050_H

